Bug 832374 - Unexpected warning message when move app between nodes in one district
Unexpected warning message when move app between nodes in one district
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 05:33 EDT by Rony Gong
Modified: 2015-05-14 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:27:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-06-15 05:33:01 EDT
Description of problem:


Version-Release number of selected component (if applicable):
devenv_1846

How reproducible:
always


Steps to Reproduce:
1.set up multiple node district 
2.use command: rhc-admin-move --gear_uuid   -i ip-10-120-199-210  
3.get warn message.
  
Actual results:


Agent pid 21632

DEBUG: Performing cartridge level move for embedded jenkins-client-1.4 for 'jbosstest' on ip-10-120-199-210

DEBUG: Performing cartridge level move for 'jbossas-7' on ip-10-120-199-210

DEBUG: Performing cartridge level move for embedded postgresql-8.4 for 'jbosstest' on ip-10-120-199-210

DEBUG: Starting cartridge 'postgresql-8.4' in 'jbosstest' after move on ip-10-120-199-210

DEBUG: Starting cartridge 'jenkins-client-1.4' in 'jbosstest' after move on ip-10-120-199-210

DEBUG: Starting cartridge 'jbossas-7' in 'jbosstest' after move on ip-10-120-199-210

DEBUG: Fixing DNS and mongo for gear 'jbosstest' after move

DEBUG: Changing server identity of 'jbosstest' from 'domU-12-31-38-07-41-D4' to 'ip-10-120-199-210'

/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.8/lib/stickshift-controller/app/models/component_instance.rb:23: warning: multiple values for a block parameter (2 for 1)

	from /usr/lib/ruby/gems/1.8/gems/bson-1.5.2/lib/bson/ordered_hash.rb:81

/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.8/lib/stickshift-controller/app/models/component_instance.rb:23: warning: multiple values for a block parameter (2 for 1)

	from /usr/lib/ruby/gems/1.8/gems/bson-1.5.2/lib/bson/ordered_hash.rb:81

/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.8/lib/stickshift-controller/app/models/component_instance.rb:23: warning: multiple values for a block parameter (2 for 1)

	from /usr/lib/ruby/gems/1.8/gems/bson-1.5.2/lib/bson/ordered_hash.rb:81

/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.8/lib/stickshift-controller/app/models/component_instance.rb:23: warning: multiple values for a block parameter (2 for 1)

	from /usr/lib/ruby/gems/1.8/gems/bson-1.5.2/lib/bson/ordered_hash.rb:81

/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.8/lib/stickshift-controller/app/models/component_instance.rb:23: warning: multiple values for a block parameter (2 for 1)

	from /usr/lib/ruby/gems/1.8/gems/bson-1.5.2/lib/bson/ordered_hash.rb:81

DEBUG: Deconfiguring old app 'jbosstest' on domU-12-31-38-07-41-D4 after move

Successfully moved 'jbosstest' with gear uuid '1a058d40586843e2b79ae30e9fe41e99' from 'domU-12-31-38-07-41-D4' to 'ip-10-120-199-210'



Expected results:
shouldn't have warning message.

Additional info:
Comment 1 Abhishek Gupta 2012-06-15 21:57:25 EDT
Fixed and waiting for merge
https://github.com/openshift/crankcase/pull/136
Comment 2 Rony Gong 2012-06-19 03:34:03 EDT
verified on devenv_1857

[root@ip-10-92-241-213 stickshift]# rhc-admin-move --gear_uuid e84fa30398e44db3b9ef3e86001b3c53 -i ip-10-124-189-58
URL: http://qsruby-qgong1.dev.rhcloud.com
Login: qgong@redhat.com
App UUID: afcb5bb8a8244cca8a667daa744db69f
Gear UUID: e84fa30398e44db3b9ef3e86001b3c53
DEBUG: Source district uuid: 8584ce9c6bf642a4b579ad349e44a308
DEBUG: Destination district uuid: 8584ce9c6bf642a4b579ad349e44a308
DEBUG: District unchanged keeping uid
source: small target: small
DEBUG: Getting existing app 'qsruby' status before moving
DEBUG: Gear component 'ruby-1.8' was running
DEBUG: Stopping existing app cartridge 'ruby-1.8' before moving
DEBUG: Force stopping existing app cartridge 'ruby-1.8' before moving
DEBUG: Creating new account for gear 'e84fa30398' on ip-10-124-189-58
DEBUG: Moving content for app 'qsruby', gear 'e84fa30398' to ip-10-124-189-58
Identity added: /var/www/stickshift/broker/config/keys/rsync_id_rsa (/var/www/stickshift/broker/config/keys/rsync_id_rsa)
Warning: Permanently added '10.92.241.213' (RSA) to the list of known hosts.
Agent pid 7152
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 7152 killed;
DEBUG: Performing cartridge level move for 'ruby-1.8' on ip-10-124-189-58
DEBUG: Starting cartridge 'ruby-1.8' in 'qsruby' after move on ip-10-124-189-58
DEBUG: Fixing DNS and mongo for gear 'e84fa30398' after move
DEBUG: Changing server identity of 'e84fa30398' from 'ip-10-92-241-213' to 'ip-10-124-189-58'
DEBUG: Deconfiguring old app 'qsruby' on ip-10-92-241-213 after move
Successfully moved 'qsruby' with gear uuid 'e84fa30398e44db3b9ef3e86001b3c53' from 'ip-10-92-241-213' to 'ip-10-124-189-58'

Note You need to log in before you can comment on or make changes to this bug.